Bug 471962 - error message
error message
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-17 16:26 EST by Matěj Cepl
Modified: 2009-01-14 08:38 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-14 08:38:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matěj Cepl 2008-11-17 16:26:35 EST
Description of problem:
after checking for upgrades I got error message:

Error Value: No Package Matching preupgrade
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 2202, in <module>
    main()
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 2199, in main
    backend.dispatcher(sys.argv[1:])
  File : /usr/lib/python2.5/site-packages/packagekit/backend.py, line 599, in dispatcher
    self.dispatch_command(args[0], args[1:])
  File : /usr/lib/python2.5/site-packages/packagekit/backend.py, line 503, in dispatch_command
    self.get_distro_upgrades()
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 1674, in get_distro_upgrades
    pkgs = self.yumbase.pkgSack.returnNewestByName(name='preupgrade')
  File : /usr/lib/python2.5/site-packages/yum/packageSack.py, line 399, in returnNewestByName
    raise PackageSackError, 'No Package Matching $s' $ ui_pats

and this is my configuration of repos (err, or non-configuration as it goes ;-)):

[sudo] password for root: 
Loaded plugins: changelog, fastestmirror, kernel-module, merge-conf,
              : protectbase, refresh-packagekit, security, versionlock
Loading mirror speeds from cached hostfile
 * livna-development: wftp.tu-chemnitz.de
 * rpmfusion-free-updates: download1.rpmfusion.org
 * rpmfusion-nonfree-updates: download1.rpmfusion.org
 * rpmfusion-free: download1.rpmfusion.org
 * rpmfusion-nonfree: download1.rpmfusion.org
livna-development                                        | 1.9 kB     00:00     
rpmfusion-free-updates                                   | 2.7 kB     00:00     
rpmfusion-free-updates/primary_db                        | 279 kB     00:01     
rpmfusion-nonfree-updates                                | 2.7 kB     00:00     
rpmfusion-free                                           | 2.7 kB     00:00     
rpmfusion-free/primary_db                                | 279 kB     00:00     
adobe-linux-i386                                         |  951 B     00:00     
rpmfusion-nonfree                                        | 2.7 kB     00:00     
repo id              repo name                                status  
adobe-linux-i386     Adobe Systems Incorporated               enabled :      17
livna-development    Livna for Fedora Core 10 - i386 - Develo enabled :       5
rpmfusion-free       RPM Fusion for Fedora 10 - Free          enabled :     562
rpmfusion-free-updat RPM Fusion for Fedora 10 - Free - Update enabled :     562
rpmfusion-nonfree    RPM Fusion for Fedora 10 - Nonfree       enabled :     281
rpmfusion-nonfree-up RPM Fusion for Fedora 10 - Nonfree - Upd enabled :     281
repolist: 1 708
marketa@konvalinka:~$

Version-Release number of selected component (if applicable):
rpm-4.6.0-0.rc1.7.i386
yum-3.2.20-3.fc10.noarch
PackageKit-0.3.9-4.fc10.i386

How reproducible:
100%

And yes, this is probably misconfiguration, just that the error message could be slightly more sensible -- the current one is certainly not for Auntie Tilly.
Comment 1 Matěj Cepl 2008-11-17 17:02:30 EST
One more thing -- I am not sure, how I did deserve this -- I don't remember that I would be playing with the repositories. But maybe I am mistaken.
Comment 2 Richard Hughes 2008-11-18 06:56:57 EST
commit a5f58fd8b1a78d6d2485b6b692ead1db9ef3b179
Author: Richard Hughes <richard@hughsie.com>
Date:   Tue Nov 18 11:55:30 2008 +0000

    yum: don't explode if the preupgrade package cannot be found, and give a meaningful error

:100755 100755 ffc17f0... cde2581... M  backends/yum/yumBackend.py
:100644 100644 e3d9a32... 67a2898... M  lib/packagekit-glib/pk-enum.c
:100644 100644 f325c7d... 5d9e810... M  lib/packagekit-glib/pk-enum.h
Comment 3 Bug Zapper 2008-11-26 00:32:12 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.